Subject: Re: bug#48321: 27.2; Text copied from *grep* buffer has NUL (0x00) characters

From: Lars Ingebrigtsen <[email-masked]>
Date: Sat, 02 Jul 2022 17:59:26 +0200

Lars Ingebrigtsen <[email-masked]> writes:

> Stefan's suggestion to transform the nul character in the filter in grep
> wouldn't quite work, I think -- the filtering is done before the
> matching.  So instead we need the thing that processes
> `compilation-error-regexp-alist' to do the transformation after the
> matches, I think?

I've instead used kill-transform-function in Emacs 29 to translate the
nul chars to : chars.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no